import java.text.Normalizer;

public class NormalizerTest
{
    public static void main(String[] args)
    {
        String text = args[0];
        String normalized = Normalizer.normalize(text, Normalizer.Form.NFD);
        
        System.out.println("Source : "+text);
        System.out.println("Normalized : "+normalized);
        
        String ascii1 = text.replaceAll("[^\\p{ASCII}]", "");
        String ascii2 = normalized.replaceAll("[^\\p{ASCII}]", "");
        System.out.println("Ascii from source : "+ascii1);
        System.out.println("Ascii from normalized : "+ascii2);
        
        System.out.println("\nChars from source :");
        for (int i=0 ; i<text.length() ; i++) System.out.println(text.charAt(i)+" : "+text.codePointAt(i));
        System.out.println("\nChars from normalized :");
        for (int i=0 ; i<normalized.length() ; i++) System.out.println(normalized.charAt(i)+" : "+normalized.codePointAt(i));
        System.out.println("\nChars from source (ascii) :");
        for (int i=0 ; i<ascii1.length() ; i++) System.out.println(ascii1.charAt(i)+" : "+ascii1.codePointAt(i));
        System.out.println("\nChars from normalized (ascii) :");
        for (int i=0 ; i<ascii2.length() ; i++) System.out.println(ascii2.charAt(i)+" : "+ascii2.codePointAt(i));
    }
}
